On this page
No Headings
Use the /v1/oauth2/token endpoint to obtain an access token and pass it as a Bearer token in the Authorization header.
Client CredentialsToken URLhttps://api-m.sandbox.paypal.com/v1/oauth2/tokenInheaderScopes
readwriteWallet ID
application/json
application/json
application/json
application/json
curl -X GET "https://api-m.sandbox.paypal.com/v1/commerce/billing/wallets/8ef02857-a71e-4ea2-bcf9-57d3a41bc6ba"{
"id": "943254a2-0240-4414-bede-c0d211340c53",
"external_customer_id": "5eb02857-a71e-4ea2-bcf9-1753842358",
"status": "ACTIVE",
"available_balance": {
"value": 3,
"currency_code": "USD"
},
"ongoing_usage": {
"value": 0,
"currency_code": "USD"
},
"net_balance": {
"value": 3,
"currency_code": "USD"
},
"name": "Prepaid",
"rate_amount": "1.0",
"available_credits": "3.0",
"consumed_credits": "0.0",
"ongoing_usage_credits": "0.0",
"net_balance_credits": "3.0",
"created_at": "2025-07-30T20:13:18Z",
"expiration_at": "2026-10-08T00:00:00Z",
"applies_to": {
"fee_types": [
"SUBSCRIPTION",
"CHARGE",
"COMMITMENT"
]
},
"recurring_transaction_rules": [
{
"trigger": "INTERVAL",
"method": "TARGET",
"interval": "WEEKLY",
"started_at": "2025-07-01T17:30:15Z",
"expiration_at": "2026-10-08T00:00:00Z",
"target_ongoing_balance": "200.0"
}
]
}{
"name": "NOT_AUTHORIZED",
"message": "Authorization failed due to insufficient permissions.",
"debug_id": "565f78f101498",
"details": [
{
"issue": "PERMISSION_DENIED",
"description": "You do not have permission to access or perform operations on this resource."
}
]
}{
"name": "string",
"debug_id": "string",
"message": "string",
"details": [
{
"field": "string",
"value": "string",
"location": "string",
"issue": "string",
"description": "string"
}
]
}{
"name": "INTERNAL_SERVER_ERROR",
"message": "An internal server error has occurred.",
"debug_id": "90957fca61718"
}